Create Team
curl --request POST \
--url https://api.dataraven.io/v1/teams \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.dataraven.io/v1/teams"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.dataraven.io/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"members": [
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"joined_at": "2023-11-07T05:31:56Z",
"email": "<string>",
"invited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"pending_invitations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invited_at": "2023-11-07T05:31:56Z",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Teams
Create Team
Create a new team.
Global Limit: Maximum 5 teams per user (abuse prevention).
The creating user automatically becomes the team owner. New teams start on the FREE tier. Upgrade each team individually to PRO for higher resource limits (tasks, locations, secrets, etc.).
POST
/
v1
/
teams
Create Team
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Schema for creating a new team.
Required string length:
1 - 255Response
Successful Response
Schema for detailed team response with members and invitations.
Subscription tiers.
Available options:
free, pro Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I